# Properties

#### The following properties are currently supported inside the token:

* `td` string\
  The ID of your team. You can find it in the [dashboard](https://dashboard.digitalsamba.com/team) under **Team** section.
* `rd` string\
  The name (friendly url) or UUID of the room. You can use either options depending on what you find more convenient.
* `ud` string (*optional)*\
  External user identifier, you can set an arbitrary string. This is very useful when you have existing users in your application and you want to cross-reference the users from the DigitalSamba rooms with the users from your system.
* `u` string (*optional)*\
  User name. If not provided the user will see a screen to input his name before entering. \
  **Note**: if you are using E2EE, then it is better to set the name through the [SDK initial settings](/reference/sdk/digitalsambaembedded-class.md#initoptions-look-also-at-the-code-examples), otherwise the username in the token will be visible to Digital Samba's backend, since token is part of the URL which is being visited.
* `initials` string (*optional)*\
  Custom initials for user's tile. By default the application uses as initials the first letter of the first two words of the username. E.g. John Smith has initials JS. But in some cases there could be a title in the name - "Doctor John Smith". In that case you would need to provide custom initials, unless you want the application to use DJ as initials.
* `role` string (*optional)*\
  Role id or name. If not provided the default room role will be used.
* `breakoutId`string (*optional)*\
  Id of the breakout room which the user will join to.
* `avatar` string *optional*\
  The url of the user's avatar image. Will be used as an image for user's tile when user's video (camera) is disabled.
* `iat` integer *optional*\
  The time when the token was issued. Specified as [unix timestamp](https://en.wikipedia.org/wiki/Unix_time) (number of seconds since the epoch).
* `exp`  integer *optional* \
  Token expiration time as [unix timestamp](https://en.wikipedia.org/wiki/Unix_time) (number of seconds since the epoch). Token will be invalid after the specified expiration time. Very useful in combination with `nbf` if you want the token to be valid only for a concrete time interval.
* `nbf`  integer  *optional* &#x20;

  "Not Before" -> Token will be invalid before the specified time comes. \
  Specified as [unix timestamp](https://en.wikipedia.org/wiki/Unix_time) (number of seconds since the epoch). Very useful in combination with `exp` property if you want the token to be valid only for a concrete timeframe.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/tokens/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
